deleting users via bulk delete causes error

Bug #1319634 reported by Robert Lyon on 2014-05-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Robert Lyon
1.8
High
Robert Lyon
1.9
High
Robert Lyon

Bug Description

The problem reported in this forum post: https://mahara.org/interaction/forum/topic.php?id=6312&offset=0&limit=10#post26718

"When I try to delete users in bulk (50+ users) I get the message "site is unavailable" A non recoverable error occurred."

It turned out to be a problem with users having artefacts for plugins that are not in the mahara codebase anymore.

There needs to be some rules created around this problem, possibly something as simple as, if deleting a user and they have orphaned artefacts then delete them as the first step before going off to delete all the relevant things that get deleted for a user.

Robert Lyon (robertl-9) on 2014-05-15
Changed in mahara:
milestone: none → 1.10.0
Robert Lyon (robertl-9) on 2014-07-28
Changed in mahara:
assignee: nobody → Robert Lyon (robertl-9)
status: Confirmed → In Progress

Reviewed: https://reviews.mahara.org/3517
Committed: http://gitorious.org/mahara/mahara/commit/0f7251b320329853b6281112ab1ea81db031c358
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 0f7251b320329853b6281112ab1ea81db031c358
Author: Robert Lyon <email address hidden>
Date: Mon Jul 28 16:50:03 2014 +1200

Checking to make sure artefact/block library still exist (Bug #1319634)

Sometimes views will have artefacts/block instances on them but the
plugin has been deleted. This should not stop a user being deleted.

To test:
Add a plugin to the site (eg openbadgesdisplayer block plugin, or cpds
artefact plugin) and install it.
Add a page and add a block to the page.
Delete the dir from the site for the plugin
Try to bulk delete the user

Change-Id: Ib23ad79d9f1ffa0bca56ad7ccb6083333527e64c
Signed-off-by: Robert Lyon <email address hidden>

Son Nguyen (ngson2000) wrote :

This issue also happens to 1.9 and 1.8.

Changed in mahara:
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Patch for "1.9_STABLE" branch: https://reviews.mahara.org/3854

Reviewed: https://reviews.mahara.org/3854
Committed: http://gitorious.org/mahara/mahara/commit/506068c690fe295e144be202870a150311caa6aa
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.9_STABLE

commit 506068c690fe295e144be202870a150311caa6aa
Author: Robert Lyon <email address hidden>
Date: Mon Jul 28 16:50:03 2014 +1200

Checking to make sure artefact/block library still exist (Bug #1319634)

Sometimes views will have artefacts/block instances on them but the
plugin has been deleted. This should not stop a user being deleted.

To test:
Add a plugin to the site (eg openbadgesdisplayer block plugin, or cpds
artefact plugin) and install it.
Add a page and add a block to the page.
Delete the dir from the site for the plugin
Try to bulk delete the user

Change-Id: Ib23ad79d9f1ffa0bca56ad7ccb6083333527e64c
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3853
Committed: http://gitorious.org/mahara/mahara/commit/9beec6088653a89ab6b540126f69c8100d3bceef
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.8_STABLE

commit 9beec6088653a89ab6b540126f69c8100d3bceef
Author: Robert Lyon <email address hidden>
Date: Mon Jul 28 16:50:03 2014 +1200

Checking to make sure artefact/block library still exist (Bug #1319634)

Sometimes views will have artefacts/block instances on them but the
plugin has been deleted. This should not stop a user being deleted.

To test:
Add a plugin to the site (eg openbadgesdisplayer block plugin, or cpds
artefact plugin) and install it.
Add a page and add a block to the page.
Delete the dir from the site for the plugin
Try to bulk delete the user

Change-Id: Ib23ad79d9f1ffa0bca56ad7ccb6083333527e64c
Signed-off-by: Robert Lyon <email address hidden>

Aaron Wells (u-aaronw) on 2014-10-21
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers